﻿<%@ control language="C#" enableviewstate="true" autoeventwireup="true" inherits="Controls_CalendarControl, App_Web_crwi8bxf" %>
<asp:Calendar runat="server" ID="dateSelector" Visible="false" CssClass="dateSelector">
  <TitleStyle CssClass="bodyLeft" />
  <DayHeaderStyle CssClass="headerLeft" BorderStyle="None" />
  <DayStyle CssClass="day" BorderStyle="none" Font-Bold="false" Font-Size="X-Small" Font-Underline="false" />
  <OtherMonthDayStyle ForeColor="#d0d0d0" />
  <WeekendDayStyle ForeColor="#e00000" />
  <SelectedDayStyle ForeColor="#000000" BackColor="#ffffff" BorderStyle="Solid" BorderWidth="1" />
</asp:Calendar>
<asp:CustomValidator runat="server" ID="dateValidator" ControlToValidate="textboxDate" CssClass="errorMessage" />
<table border="0" cellspacing="0px" cellpadding="0px" class="calendar" style="width:<%=m_CalendarWidth %>px">
  <thead>
    <tr>
      <td class="headerLeft">
        <asp:ImageButton runat="server" ID="buttonCalendar" ImageUrl="~/Images/Calendar.gif" CssClass="headerImage" AlternateText="Show/hide calendar" CausesValidation="false" />
        <asp:ImageButton runat="server" ID="buttonView" ImageUrl="~/Images/Week.gif" CssClass="headerImage" CausesValidation="true"/>
        <asp:ImageButton runat="server" ID="buttonToday" ImageUrl="~/Images/Today.gif" CssClass="headerImage" AlternateText="Today" CausesValidation="false"/>
        <asp:Image runat="server" ID="imageToolboxSeparator" ImageUrl="~/Images/TimelineSeparator.gif" CssClass="headerImage" />
        <asp:ImageButton runat="server" ID="buttonLeft" ImageUrl="~/Images/Left.gif" CssClass="headerImage" CausesValidation="false" />
        <asp:TextBox runat="server" ID="textboxDate" CssClass="smallTextBox" />
        <asp:ImageButton runat="server" ID="buttonRight" ImageUrl="~/Images/Right.gif" CssClass="headerImage" CausesValidation="false"/>
      </td>
      <asp:Repeater runat="server" ID="repeaterTimelineHeader">
        <ItemTemplate>
          <td runat="server" id="header" class="headerMain">
            <asp:Image runat="server" ID="imageTimelineSeparator" ImageUrl="~/Images/TimelineSeparator.gif"  CssClass="headerImage" />
            <asp:Label runat="server" ID="labelTimeLine"><%#Eval("Description") %></asp:Label>
          </td>
        </ItemTemplate>
      </asp:Repeater>
    </tr>
  </thead>
  <tbody>
    <asp:Repeater runat="server" ID="repeaterResources">
      <ItemTemplate>
        <tr>
          <td class="bodyLeft"><%#Eval("DisplayName") %></td>
          <asp:Repeater runat="server" ID="repeaterTimelineBody">
            <ItemTemplate>
              <td style="width:<%=CellWidth %>px" class="bodyMain">
                <asp:Image runat="server" ID="imageBodyBackgroud" CssClass="actualTimeImage" ImageUrl="~/Images/Blank.gif" Height="17" />
                <asp:ImageButton runat="server" ID="btnMakeReservation" ImageUrl="~/Images/Blank.gif" Height="18" CssClass="eventImage" OnClick="MakeReservation" />
                <asp:Image runat="server" ID="imageActualTime" CssClass="actualTimeImage" ImageUrl="~/Images/ActualTime.gif" Width="1" Height="18" />
                <asp:Repeater runat="server" ID="repeaterEvents">
                  <ItemTemplate>
                    <asp:Image runat="server" ID="imageEvent" CssClass="eventImage" ImageUrl="~/Images/Event.gif" ImageAlign="Middle"/>
                  </ItemTemplate>
                </asp:Repeater>
                <br />
              </td>
            </ItemTemplate>
          </asp:Repeater>
        </tr>
      </ItemTemplate>
    </asp:Repeater>
  </tbody>
</table>
<div visible="false" runat="server" id="debugInfo">
  <br />Debug Information:
  <table border="0" cellspacing="0px" cellpadding="0px" class="calendar" style="width:<%=m_CalendarWidth %>px">
    <tbody>
      <asp:Repeater runat="server" ID="repeaterDebug">
        <ItemTemplate>
          <tr>
            <td style="padding:3px; background-color:#ffffff"><%#Eval("SearchURI") %></td>
          </tr>
        </ItemTemplate>
      </asp:Repeater>
    </tbody>
  </table>
</div>